Ticket #19 (new defect)

Opened 5 years ago

Wrong dependencies for FieldTrip

Reported by: alex.shpilkin Owned by:
Priority: critical Milestone:
Version: Keywords:
Cc:

Description

FieldTrip >= 0.2 (as it is on Hackage) uses Data.AffineSpace?.AVector which is a dependent type declared in AffineSpace? only in vector-space-0.5 and vector-space-0.5.1. Newer versions use the type Diff here, but FieldTrip neither specifies vector-space < 0.5.2 in its dependencies nor has a modified version (even on darcs).

Note: See TracTickets for help on using tickets.